## libpostproc 0.git20120821

=== Makefile ===
include config.mak

vpath %.c    $(SRC_PATH)
vpath %.h    $(SRC_PATH)
vpath %.S    $(SRC_PATH)
vpath %.asm  $(SRC_PATH)
vpath %.v    $(SRC_PATH)
vpath %.texi $(SRC_PATH)

ifndef V
Q      = @
ECHO   = printf "$(1)\t%s\n" $(2)
BRIEF  = CC AS YASM AR LD HOSTCC
SILENT = DEPCC YASMDEP RM RANLIB
MSG    = $@
M      = @$(call ECHO,$(TAG),$@);
$(foreach VAR,$(BRIEF), \
    $(eval override $(VAR) = @$$(call ECHO,$(VAR),$$(MSG)); $($(VAR))))
$(foreach VAR,$(SILENT),$(eval override $(VAR) = @$($(VAR))))
$(eval INSTALL = @$(call ECHO,INSTALL,$$(^:$(SRC_PATH)/%=%)); $(INSTALL))
endif

ALLFFLIBS = postproc

IFLAGS     := -I. -I$(SRC_PATH)
CPPFLAGS   := $(IFLAGS) $(CPPFLAGS)
CFLAGS     += $(ECFLAGS)
CCFLAGS     = $(CFLAGS)
YASMFLAGS  += $(IFLAGS) -I$(SRC_PATH)/libavutil/x86/ -Pconfig.asm
HOSTCFLAGS += $(IFLAGS)
LDFLAGS    := $(ALLFFLIBS:%=-Llib%) $(LDFLAGS)

define COMPILE
	$($(1)DEP)
	$($(1)) $(CPPFLAGS) $($(1)FLAGS) $($(1)_DEPFLAGS) -c $($(1)_O) $<
endef

COMPILE_C = $(call COMPILE,CC)
COMPILE_S = $(call COMPILE,AS)

%.o: %.c
	$(COMPILE_C)

%.o: %.S
	$(COMPILE_S)

%.ho: %.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -Wno-unused -c -o $@ -x c $<

%.ver: %.v
	$(Q)sed 's/$$MAJOR/$($(basename $(@F))_VERSION_MAJOR)/' $^ > $@

%.c %.h: TAG = GEN

PROGS      := $(PROGS-yes:%=%$(EXESUF))
OBJS        = $(PROGS-yes:%=%.o) cmdutils.o
TESTTOOLS   = audiogen videogen rotozoom tiny_psnr base64
HOSTPROGS  := $(TESTTOOLS:%=tests/%)
TOOLS       = qt-faststart trasher
TOOLS-$(CONFIG_ZLIB) += cws2fws

FFLIBS-$(CONFIG_POSTPROC) += postproc

include $(SRC_PATH)/common.mak

FF_EXTRALIBS := $(FFEXTRALIBS)
FF_DEP_LIBS  := $(DEP_LIBS)

all: $(PROGS)

$(TOOLS): %$(EXESUF): %.o
	$(LD) $(LDFLAGS) -o $@ $< $(ELIBS)

tools/cws2fws$(EXESUF): ELIBS = -lz

config.h: .config
.config: $(wildcard $(FFLIBS:%=$(SRC_PATH)/lib%/all*.c))
	@-tput bold 2>/dev/null
	@-printf '\nWARNING: $(?F) newer than config.h, rerun configure\n\n'
	@-tput sgr0 2>/dev/null

SUBDIR_VARS := OBJS FFLIBS CLEANFILES DIRS TESTPROGS EXAMPLES SKIPHEADERS \
               ALTIVEC-OBJS MMX-OBJS NEON-OBJS X86-OBJS YASM-OBJS-FFT YASM-OBJS \
               HOSTPROGS BUILT_HEADERS TESTOBJS ARCH_HEADERS ARMV6-OBJS TOOLS

define RESET
$(1) :=
$(1)-yes :=
endef

define DOSUBDIR
$(foreach V,$(SUBDIR_VARS),$(eval $(call RESET,$(V))))
SUBDIR := $(1)/
include $(SRC_PATH)/$(1)/Makefile
-include $(SRC_PATH)/$(1)/$(ARCH)/Makefile
include $(SRC_PATH)/library.mak
endef

$(foreach D,$(FFLIBS),$(eval $(call DOSUBDIR,lib$(D))))

avplay.o: CFLAGS += $(SDL_CFLAGS)
avplay$(EXESUF): FF_EXTRALIBS += $(SDL_LIBS)
avserver$(EXESUF): LDFLAGS += $(AVSERVERLDFLAGS)

$(PROGS): %$(EXESUF): %.o cmdutils.o $(FF_DEP_LIBS)
	$(LD) $(LDFLAGS) -o $@ $< cmdutils.o $(FF_EXTRALIBS)

VERSION_SH  = $(SRC_PATH)/version.sh
GIT_LOG     = $(SRC_PATH)/.git/logs/HEAD

.version: $(wildcard $(GIT_LOG)) $(VERSION_SH) config.mak
.version: M=@

version.h .version:
	$(M)$(VERSION_SH) $(SRC_PATH) version.h $(EXTRA_VERSION)
	$(Q)touch .version

# force version.sh to run whenever version might have changed
-include .version

install: install-libs install-headers

install-libs: install-libs-yes

uninstall: uninstall-libs uninstall-headers uninstall-progs uninstall-data

uninstall-progs:
	$(RM) $(addprefix "$(BINDIR)/", $(ALLPROGS))

uninstall-data:
	$(RM) -r "$(DATADIR)"

clean::
	$(RM) $(ALLPROGS)
	$(RM) $(CLEANSUFFIXES)
	$(RM) $(TOOLS)
	$(RM) $(CLEANSUFFIXES:%=tools/%)

distclean::
	$(RM) $(DISTCLEANSUFFIXES)
	$(RM) config.* .version version.h

config:
	$(SRC_PATH)/configure $(value LIBAV_CONFIGURATION)

$(sort $(OBJDIRS)):
	$(Q)mkdir -p $@

# Dummy rule to stop make trying to rebuild removed or renamed headers
%.h:
	@:

# Disable suffix rules.  Most of the builtin rules are suffix rules,
# so this saves some time on slow systems.
.SUFFIXES:

.PHONY: all all-yes *clean config install*
.PHONY:  uninstall*

=== libpostproc/Makefile ===
NAME = postproc

HEADERS = postprocess.h

OBJS = postprocess.o

=== debian/changelog ===
libpostproc (6:0.git20120821-4) unstable; urgency=low

  * Bug fix: "FTBFS: make[1]: *** No rule to make target
    `/common.mak'.  Stop.", thanks to David Suárez (Closes: #724095).

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 09 Oct 2013 08:49:32 -0400

libpostproc (6:0.git20120821-3) unstable; urgency=low

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 14 Aug 2013 18:12:33 +0200

libpostproc (6:0.git20120821-2) experimental; urgency=low

  * Add lintian override. This package does not duplicate, but rather
    externalizes it.

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 15 Nov 2012 20:30:24 +0100

libpostproc (6:0.git20120821-1) experimental; urgency=low

  * New Upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 15 Nov 2012 19:17:58 +0100

libpostproc (6:0.git20120217-2) experimental; urgency=low

  * Bump epoch again to fix messed upload to experimental (Closes: #670762)
    (this time for real!)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 29 Apr 2012 10:31:11 +0200

libpostproc (5:0.git20120217-1) experimental; urgency=low

  * Initial release (Closes: #670052)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 22 Apr 2012 17:26:38 +0200

=== debian/control ===
Source: libpostproc
Priority: optional
Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Andres Mejia <amejia@debian.org>
Build-Depends: debhelper (>= 8.0.0), libavutil-dev
Standards-Version: 3.9.4
Section: libs
Homepage: http://git.videolan.org/?p=libpostproc.git;a=summary
Vcs-Git: git://git.debian.org/pkg-multimedia/libpostproc.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libpostproc.git;a=summary

Package: libpostproc-dev
Section: libdevel
Architecture: any
Depends: libpostproc52 (= ${binary:Version}), ${misc:Depends}
Description: FFmpeg derived postprocessing library - development headers
 This package contains the postprocessing library for legacy
 applications.
 .
 This package contains the development headers for the libpostproc
 library.

Package: libpostproc52
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: FFmpeg derived postprocessing library
 This package contains the postprocessing library for legacy
 applications.
 .
 The upsream development for this library has stalled. Please consider
 porting existing applications to better alternatives.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_clean:
	! test -f config.mak || dh_auto_clean

override_dh_auto_configure:
	./configure --enable-shared --prefix=/usr

override_dh_auto_build:
	$(MAKE) V=1

%:
	dh $@
